Skip to content

Site Configuration ​

33 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getBandSteeringSettingGETGet site band steering setting
updateBandSteeringSettingPATCHModify site band steering setting
getBeaconControlSettingGETGet site beacon control setting
updateBeaconControlSettingPATCHModify site beacon control setting
getSiteSettingCapGETGet site capabilities.
getChannelLimitSettingGETGet site channel limit setting (deprecated)
updateChannelLimitSettingPATCHModify site channel limit setting (deprecated)
getOmadacDstInfoGETGet site DST
getJumboSettingGETGet site jumbo setting
updateSiteJumboSettingPUTModify site jumbo setting
getLagHashAlgSettingGETGet site lag hash algorithm setting
updateSiteLagHashAlgSettingPUTModify site lag hash algorithm setting
getSiteLedSettingGETGet site led setting
updateSiteLedSettingPUTModify site led setting
getLldpSettingGETGet site lldp setting
updateLldpSettingPATCHModify site lldp setting
getMeshSettingGETGet site mesh setting
updateMeshSettingPATCHModify site mesh setting
getMulticastRateLimitByOpenApiGETGet site multicast rate limit setting
updateMcastRateLimitSettingByOpenApiPATCHModify site multicast rate limit setting
getPortalLogoutDomainSettingGETGet portal logout domain setting
updatePortalLogoutDomainSettingPUTModify portal logout domain setting
getSiteRememberSettingByOpenApiGETGet site remember device setting
modifySiteRememberSettingByOpenApiPOSTModify site remember device setting
getRemoteLoggingSettingGETGet site remote logging setting
updateRemoteLoggingSettingPATCHModify site remote logging setting
getRoamingSettingGETGet site roaming setting
updateRoamingSettingPATCHModify site roaming setting
getDisasterModeStatusGETGet the status of disaster modes in Japan
modifyDisasterModeStatusPOSTModify the status of disaster modes in Japan
getExistSiteSettingByOpenApiGETQuery site setting exist or not
getSiteSpecificationGETGet site functional specifications
getSiteSupportSwitchInfoGETGet supported switch types information for the site

getBandSteeringSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/band-steering

Get site band steering setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getBandSteeringSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site band steering setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateBandSteeringSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/band-steering

Modify site band steering setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SiteBandSteeringSetting

FieldTypeRequiredDescription
bandSteeringForMultiBandBandSteeringMultiBandVOno(BandSteeringMultiBandVO not expanded; call omada_get_schema "BandSteeringMultiBandVO")
json
// omada_call_operation
{
  "operationId": "updateBandSteeringSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site band steering setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getBeaconControlSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/beacon-control

Get site beacon control setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getBeaconControlSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site beacon control setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateBeaconControlSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/beacon-control

Modify site beacon control setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SiteBeaconControlSetting

FieldTypeRequiredDescription
beaconControlBeaconControlVOno(BeaconControlVO not expanded; call omada_get_schema "BeaconControlVO")
airtimeFairnessAirtimeFairnessSettingVOno(AirtimeFairnessSettingVO not expanded; call omada_get_schema "AirtimeFairnessSettingVO")
json
// omada_call_operation
{
  "operationId": "updateBeaconControlSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site beacon control setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteSettingCap ​

GET /openapi/v1/{omadacId}/sites/{siteId}/capacity

Get site capabilities.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteSettingCap",
  "params": {
    "siteId": "<siteId>"
  }
}

getChannelLimitSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/channel-limit

Deprecated

This operation is deprecated.

Get site channel limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getChannelLimitSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site channel limit setting. This interface has been deprecated. Please use the following interface instead: Get ap channel limit config
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateChannelLimitSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/channel-limit

Deprecated

This operation is deprecated.

Modify site channel limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)

Request body — application/json (required) — schema SiteChannelLimitSetting

FieldTypeRequiredDescription
channelLimitChannelLimitSettingVOno(ChannelLimitSettingVO not expanded; call omada_get_schema "ChannelLimitSettingVO")
json
// omada_call_operation
{
  "operationId": "updateChannelLimitSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site channel limit setting. This interface has been deprecated. Please use the following interface instead: Modify ap channel limit config
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getOmadacDstInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dst-info

Get site DST

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getOmadacDstInfo",
  "params": {
    "siteId": "<siteId>"
  }
}

getJumboSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/jumbo

Get site jumbo setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getJumboSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site jumbo setting
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteJumboSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/jumbo

Modify site jumbo setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)

Request body — application/json (required) — schema SiteJumboOpenApiVO

FieldTypeRequiredDescription
sizeintegernoIt should be within the range of 1518–9216 Bytes.
json
// omada_call_operation
{
  "operationId": "updateSiteJumboSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site jumbo setting
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getLagHashAlgSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/lag-hash-alg

Get site lag hash algorithm setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getLagHashAlgSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site lag hash algorithm setting
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteLagHashAlgSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/lag-hash-alg

Modify site lag hash algorithm setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)

Request body — application/json (required) — schema SiteLagHashAlgOpenApiVO

FieldTypeRequiredDescription
typeintegeryesIt should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP.
json
// omada_call_operation
{
  "operationId": "updateSiteLagHashAlgSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site lag hash algorithm setting
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteLedSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/led

Get site led setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteLedSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site led setting
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteLedSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/led

Modify site led setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)

Request body — application/json (required) — schema SiteLedSetting

FieldTypeRequiredDescription
enablebooleanyesWhether to enable led
json
// omada_call_operation
{
  "operationId": "updateSiteLedSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site led setting
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getLldpSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/lldp

Get site lldp setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getLldpSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site lldp setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateLldpSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/lldp

Modify site lldp setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)

Request body — application/json (required) — schema SiteLldpSetting

FieldTypeRequiredDescription
lldpSiteApLldpSettingVOno(SiteApLldpSettingVO not expanded; call omada_get_schema "SiteApLldpSettingVO")
json
// omada_call_operation
{
  "operationId": "updateLldpSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site lldp setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getMeshSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/mesh

Get site mesh setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getMeshSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site mesh setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateMeshSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/mesh

Modify site mesh setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)

Request body — application/json (required) — schema SiteMeshSetting

FieldTypeRequiredDescription
meshMeshSettingVOno(MeshSettingVO not expanded; call omada_get_schema "MeshSettingVO")
json
// omada_call_operation
{
  "operationId": "updateMeshSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site mesh setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getMulticastRateLimitByOpenApi ​

GET /openapi/v1/{omadacId}/sites/{siteId}/multicast-rate-limit

Get site multicast rate limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesOmada ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getMulticastRateLimitByOpenApi",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site multicast rate limit setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateMcastRateLimitSettingByOpenApi ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/multicast-rate-limit

Modify site multicast rate limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SiteMulticastRateLimitSetting

FieldTypeRequiredDescription
mcastRateLimitMcastRateLimitSettingVOno(McastRateLimitSettingVO not expanded; call omada_get_schema "McastRateLimitSettingVO")
json
// omada_call_operation
{
  "operationId": "updateMcastRateLimitSettingByOpenApi",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site multicast rate limit setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getPortalLogoutDomainSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/portal-logout

Get portal logout domain setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getPortalLogoutDomainSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get portal logout domain setting
The interface requires one of the permissions:
Global Dashboard Manager View Only
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updatePortalLogoutDomainSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/portal-logout

Modify portal logout domain setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema PortalLogoutConfigOpenApiVO

FieldTypeRequiredDescription
domainstringnoThe domain of the portal logout url
json
// omada_call_operation
{
  "operationId": "updatePortalLogoutDomainSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify portal logout domain setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteRememberSettingByOpenApi ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remember-device

Get site remember device setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteRememberSettingByOpenApi",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site remember device setting
The interface requires one of the permissions:
Site Settings Manager View Only

modifySiteRememberSettingByOpenApi ​

POST /openapi/v1/{omadacId}/sites/{siteId}/remember-device

Modify site remember device setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SiteRememberDeviceSetting

FieldTypeRequiredDescription
rememberbooleannoSite remember device.
json
// omada_call_operation
{
  "operationId": "modifySiteRememberSettingByOpenApi",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site remember device setting
The interface requires one of the permissions:
Site Settings Manager Modify

getRemoteLoggingSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/remote-logging

Get site remote logging setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRemoteLoggingSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site remote logging setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateRemoteLoggingSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/remote-logging

Modify site remote logging setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SiteRemoteLoggingSetting

FieldTypeRequiredDescription
remoteLogRemoteLogSettingVOno(RemoteLogSettingVO not expanded; call omada_get_schema "RemoteLogSettingVO")
json
// omada_call_operation
{
  "operationId": "updateRemoteLoggingSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site remote logging setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getRoamingSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/roaming

Get site roaming setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyessite_id (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRoamingSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site roaming setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateRoamingSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/roaming

Modify site roaming setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SiteRoamingSetting

FieldTypeRequiredDescription
roamingRoamingOpenApiVOyes(RoamingOpenApiVO not expanded; call omada_get_schema "RoamingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "updateRoamingSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site roaming setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getDisasterModeStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/disaster

Get the status of disaster modes in Japan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getDisasterModeStatus",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the status of disaster modes in Japan
The interface requires one of the permissions:
Site Settings Manager View Only

modifyDisasterModeStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/disaster

Modify the status of disaster modes in Japan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ModifyDisasterModeOpenApiVO

FieldTypeRequiredDescription
statusintegernoFormat should be a value as follows: 1: disaster mode enable; 2: disaster mode disable
json
// omada_call_operation
{
  "operationId": "modifyDisasterModeStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify the status of disaster modes in Japan
The interface requires one of the permissions:
Site Settings Manager Modify

getExistSiteSettingByOpenApi ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/exist

Query site setting exist or not

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getExistSiteSettingByOpenApi",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Query site setting exist or not
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteSpecification ​

GET /openapi/v1/{omadacId}/sites/{siteId}/specification

Get site functional specifications

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteSpecification",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site functional specifications(Return value only after adopting low-specification equipment).
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only

getSiteSupportSwitchInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switch-support

Get supported switch types information for the site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSiteSupportSwitchInfo",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get supported switch types information for the site.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.